Bug 233680 - mail/mutt: Update to 1.11.1
Summary: mail/mutt: Update to 1.11.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL: http://www.mutt.org/relnotes/1.11/
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-01 05:36 UTC by Derek Schrock
Modified: 2018-12-05 23:00 UTC (History)
0 users

See Also:


Attachments
Update to 1.11.0 (20.54 KB, patch)
2018-12-01 05:36 UTC, Derek Schrock
dereks: maintainer-approval-
Details | Diff
Update to 1.11.1 (19.63 KB, patch)
2018-12-01 22:43 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2018-12-01 05:36:39 UTC
Created attachment 199701 [details]
Update to 1.11.0

- Update to 1.11.0 [1]
- Remove MUTT_LITE parts
- portlint clean ups
- NNTP broken for 1.11.0
- Add patch-qresync-crash fixes a crash coming in 1.11.1

[1] http://www.mutt.org/relnotes/1.11/
Comment 1 Derek Schrock 2018-12-01 08:33:36 UTC
(In reply to Derek Schrock from comment #0)

portlint: OK (looks fine.)
testport: OK (poudriere: 11amd64, default options tested)
Comment 2 Derek Schrock 2018-12-01 21:43:30 UTC
Comment on attachment 199701 [details]
Update to 1.11.0

1.11.1 was just released.  Wasn't expecting this till sometime next week.  I'll send a new patch soon.
Comment 3 Derek Schrock 2018-12-01 21:44:15 UTC
Comment on attachment 199701 [details]
Update to 1.11.0

1.11.1 was just released.  Wasn't expecting this till sometime next week.  I'll send a new patch soon.
Comment 4 Derek Schrock 2018-12-01 22:43:25 UTC
Created attachment 199729 [details]
Update to 1.11.1
Comment 5 Derek Schrock 2018-12-01 22:44:12 UTC
Comment on attachment 199729 [details]
Update to 1.11.1

portlint: OK (looks fine.)
testport: OK (poudriere: 11amd64, default options tested)
Comment 6 commit-hook freebsd_committer 2018-12-03 22:24:00 UTC
A commit references this bug:

Author: swills
Date: Mon Dec  3 22:23:06 UTC 2018
New revision: 486559
URL: https://svnweb.freebsd.org/changeset/ports/486559

Log:
  mail/mutt: Update to 1.11.1

  While here:
  * Remove MUTT_LITE parts
  * pet portlint
  - NNTP broken for 1.11.0
  * Add patch-qresync-crash fixes a crash coming in 1.11.1

  PR:		233680
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
  head/mail/mutt/files/extra-patch-ifdef
  head/mail/mutt/files/extra-patch-reverse_reply
  head/mail/mutt/files/extra-patch-smartdate
  head/mail/mutt/files/patch-Makefile.in
  head/mail/mutt/files/patch-contrib_Makefile.in
  head/mail/mutt/files/patch-date-conditional
  head/mail/mutt/files/patch-dgc-deepif
  head/mail/mutt/files/patch-doc_Makefile.in
  head/mail/mutt/files/patch-muttlib.c
  head/mail/mutt/files/patch-qresync-crash
  head/mail/mutt/files/patch-smime-sender
  head/mail/mutt/files/patch-threadcomplete
  head/mail/mutt/pkg-plist
Comment 7 Steve Wills freebsd_committer 2018-12-03 22:24:25 UTC
Committed, thanks!
Comment 8 Derek Schrock 2018-12-04 09:08:40 UTC
Looks like the obsolete patch was applied here instead of attachment 199729 [details].
Comment 9 Derek Schrock 2018-12-04 09:13:50 UTC
(In reply to Derek Schrock from comment #8)

I'll create a new bug later today to bring this up to 1.11.1